---
description: Docker Desktop overview
keywords: Desktop, Docker, GUI, run, docker, local, machine
title: Docker Desktop overview
toc_min: 1
toc_max: 2
---

Docker Desktop is an easy-to-install application for your Mac or Windows environment that enables you to build and share containerized applications and microservices. Docker Desktop includes [Docker Engine](../engine/), Docker CLI client, [Docker Compose](../compose/), [Notary](../notary/getting_started/), [Kubernetes](https://github.com/kubernetes/kubernetes/), and [Credential Helper](https://github.com/docker/docker-credential-helpers/).

Docker Desktop works with your choice of development tools and languages and gives you access to a vast library of certified images and templates in [Docker Hub](https://hub.docker.com/). This enables development teams to extend their environment to rapidly auto-build, continuously integrate and collaborate using a secure repository.

Some of the key features of Docker Desktop include:

* Ability to containerize and share any application on any cloud platform, in multiple languages and frameworks
* Easy installation and setup of a complete Docker development environment
* Includes the latest version of Kubernetes
* Automatic updates to keep you up to date and secure
* On Windows, the ability to toggle between Linux and Windows Server environments to build applications
* Fast and reliable performance with native Windows Hyper-V virtualization
* Ability to work natively on Linux through WSL 2 on Windows machines
* Volume mounting for code and data, including file change notifications and easy access to running containers on the localhost network
* In-container development and debugging with supported IDEs

## Download and install

Docker Desktop is available for Mac and Windows. For download information, system requirements, and installation instructions, see:

* [Install Docker Desktop on Mac](../docker-for-mac/install.md)
* [Install Docker Desktop on Windows](../docker-for-windows/install.md)

## Configure Docker Desktop

To learn about the various UI options and their usage, see:

* [Docker Desktop for Mac user manual](../docker-for-mac/index.md)
* [Docker Desktop for Windows user manual](../docker-for-windows/index.md)

## Stable and Edge versions

Docker Desktop offers Stable and Edge download channels.

The Stable release provides a general availability release-ready installer for a fully baked and tested, more reliable app. The Stable version of Docker Desktop includes the latest released version of Docker Engine. The release schedule is synced every three months for major releases, with patch releases to fix minor issues, and to stay up to date with Docker Engine as required. You can choose to opt out of the usage statistics and telemetry data on the Stable channel.

Docker Desktop Edge release is our preview version. It offers an installer with the latest features and comes with the experimental features turned on. When using the Edge release, bugs, crashes, and issues can occur as the new features may not be fully tested. However, you get a chance to preview new functionality, experiment, and provide feedback as Docker Desktop evolves. Edge releases are typically more frequent than Stable releases. Telemetry data and usage statistics are sent by default on the Edge version.

## Release notes

For information about new features, improvements, and bug fixes in Docker Desktop Stable releases, see:

* [Docker Desktop for Mac Stable Release notes](../docker-for-mac/release-notes.md)
* [Docker Desktop for Windows Stable Release notes](../docker-for-windows/release-notes.md)

For information about new features, improvements, and bug fixes in Docker Desktop Edge releases, see:

* [Docker Desktop for Mac Edge Release notes](../docker-for-mac/edge-release-notes.md)
* [Docker Desktop for Windows Edge Release notes](../docker-for-windows/edge-release-notes.md)
