---
description: Docker Billing overview
keywords: Docker, pricing, billing, Pro, Team, subscription, plans,
title: Docker Billing overview
redirect_from:
- /docker-hub/billing/faq/
---

On May 14, 2020, Docker announced a new, per-seat pricing model that aligns with Docker’s [product strategy](https://www.docker.com/blog/docker-strategy-helping-devs-build-and-ship-faster/){: target="_blank" class="_"} to accelerate developer workflows for cloud-native development. The previous private repository/parallel autobuild-based plans have been replaced with new **Pro** and **Team** plans that include unlimited private repositories.

Existing Docker customers subscribed to a paid plan before May 14, 2020 must upgrade to the new Pro or Team plan by January 31, 2021. Starting with May 14, 2020, new customers who sign up for Docker can choose between the new Free, Pro, and Team plans.

## Pricing plans

Docker offers pricing plans that are tailored for individual developers and development teams. You can also choose between an **Annual** or a **Monthly** subscription. The Pro and Team plans offered through annual subscription include a discount compared to the price of the same plan offered through monthly subscription.

**For individuals:**

The **Pro** plan includes unlimited public repositories, unlimited private repositories, unlimited collaborators, and 2 parallel builds starting at $5 per month with the annual subscription.

The **Free** plan includes unlimited public repositories and unlimited collaborators for public repositories at no cost per month.

**For development teams:**

The **Team** plan includes unlimited public and unlimited private repositories starting at $25 per month for the first 5 users and $7 per month for each user thereafter with the annual subscription. In addition, the Team plan offers 3 parallel builds, advanced collaboration and management tools, including organization and team management with role-based access controls for the whole team.

The **Free Team** plan includes unlimited public repositories at no cost per month. This plan also offers advanced collaboration and management tools, including organization and team management with role-based access controls which are limited to 1 team and 3 team members.

For detailed information about the features available in each plan, see [Docker Pricing](https://www.docker.com/pricing){: target="_blank" class="_"}.

For frequently asked questions about pricing, see [Docker pricing FAQ](https://www.docker.com/pricing/faq){: target="_blank" class="_"}.

### Purchase a Pro plan

The following section contains information on how to purchase a Pro plan for new customers. If you are already subscribed to a legacy plan and would like to upgrade to Pro, see [Upgrade to Pro from a legacy plan](upgrade.md#upgrade-to-a-pro-plan).

To purchase a Pro plan:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" class="_"} account.

2. The Docker Hub **Pricing** page displays information about the new pricing plans.

3. Review the plan details in the **Pro** section and click **Buy Now**.

4. The **Payment Method** page displays the cost for the annual plan by default. If you prefer to opt for the monthly plan, choose **pay monthly**.

5. Enter the card details and click **Purchase**.

6. Verify your email address.

7. Open the drop-down menu next to your username in the top-right corner and select **Billing**.

    The **Billing** page displays information about your new Pro plan and the total cost.

### Purchase a Team plan

The following section contains information on how to purchase a Team plan for new organizations. If you are already subscribed to a legacy plan and would like to upgrade to the Team plan, see [Upgrade to Team from a legacy plan](upgrade.md#upgrade-to-a-team-plan).

To purchase a Team plan:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" class="_"} account.

2. The Docker Hub **Pricing** page displays information about the new pricing plans.

3. Review the plan details in the **Team** section and click **Buy Now**.

4. Enter a name for your new organization and add a company name.

5. The **Organization size** page displays the cost for the annual plan by default. If you prefer to change this, select **Pay Monthly**.

6. Specify the number of users you’d like to add to your organization and click **Continue to Payment**.

6. On the **Payment Method** page, enter the card details and click **Purchase**.

7. Verify your email address.

8. Navigate to Organizations from the menu at the top of the page, choose your organization, and select **Billing**. The Billing tab displays information about your new Team plan and the total cost.
